=head1 NAME

Goo::Canvas::Text

=cut

=head1 HIERARCHY

  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Text



=cut

=head1 INTERFACES

  Goo::Canvas::Item



=cut


=head1 METHODS

=head2 item = Goo::Canvas::Text-E<gt>B<new> ($parent, $string, $x, $y, $width, $anchor, ...)

=over

=item * $parent (Goo::Canvas::Item) 

=item * $string (string) 

=item * $x (double) 

=item * $y (double) 

=item * $width (double) 

=item * $anchor (Gtk2::AnchorType) 

=item * ... (list) 

=back



=cut


=head1 PROPERTIES

=over

=item 'alignment' (Pango::Alignment : default "left" : readable / writable)

How to align the text

=item 'anchor' (Gtk2::AnchorType : default "north-west" : readable / writable)

How to position the text relative to the given x and y coordinates

=item 'ellipsize' (Pango::EllipsizeMode : default "none" : readable / writable)

The preferred place to ellipsize the string, if the label does not have enough room to display the entire string

=item 'height' (double : default -1 : readable / writable)

The height to use to layout the text, or -1 to use the natural height

=item 'text' (string : default undef : readable / writable)

The text to display

=item 'use-markup' (boolean : default false : readable / writable)

Whether to parse PangoMarkup in the text, to support different styles

=item 'width' (double : default -1 : readable / writable)

The width to use to layout the text

=item 'wrap' (Pango::WrapMode : default "word" : readable / writable)

The preferred method of wrapping the string if a width has been set

=item 'x' (double : default 0 : readable / writable)

The x coordinate of the text

=item 'y' (double : default 0 : readable / writable)

The y coordinate of the text

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::AnchorType

=over

=item * 'center' / 'GTK_ANCHOR_CENTER'

=item * 'north' / 'GTK_ANCHOR_NORTH'

=item * 'north-west' / 'GTK_ANCHOR_NORTH_WEST'

=item * 'north-east' / 'GTK_ANCHOR_NORTH_EAST'

=item * 'south' / 'GTK_ANCHOR_SOUTH'

=item * 'south-west' / 'GTK_ANCHOR_SOUTH_WEST'

=item * 'south-east' / 'GTK_ANCHOR_SOUTH_EAST'

=item * 'west' / 'GTK_ANCHOR_WEST'

=item * 'east' / 'GTK_ANCHOR_EAST'

=item * 'n' / 'GTK_ANCHOR_N'

=item * 'nw' / 'GTK_ANCHOR_NW'

=item * 'ne' / 'GTK_ANCHOR_NE'

=item * 's' / 'GTK_ANCHOR_S'

=item * 'sw' / 'GTK_ANCHOR_SW'

=item * 'se' / 'GTK_ANCHOR_SE'

=item * 'w' / 'GTK_ANCHOR_W'

=item * 'e' / 'GTK_ANCHOR_E'

=back


=head2 enum Pango::Alignment

=over

=item * 'left' / 'PANGO_ALIGN_LEFT'

=item * 'center' / 'PANGO_ALIGN_CENTER'

=item * 'right' / 'PANGO_ALIGN_RIGHT'

=back


=head2 enum Pango::EllipsizeMode

=over

=item * 'none' / 'PANGO_ELLIPSIZE_NONE'

=item * 'start' / 'PANGO_ELLIPSIZE_START'

=item * 'middle' / 'PANGO_ELLIPSIZE_MIDDLE'

=item * 'end' / 'PANGO_ELLIPSIZE_END'

=back


=head2 enum Pango::WrapMode

=over

=item * 'word' / 'PANGO_WRAP_WORD'

=item * 'char' / 'PANGO_WRAP_CHAR'

=item * 'word-char' / 'PANGO_WRAP_WORD_CHAR'

=back




=cut


=head1 SEE ALSO

L<Glib::Object>, L<Goo::Canvas::ItemSimple>


=cut


=head1 COPYRIGHT


Copyright (C) 2015 Gtk2-Perl Team




=cut

